## powerdevil 6.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(PowerDevil)
set(PROJECT_VERSION "6.3.6")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.3.6")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets DBus)
find_package(QCoro6 REQUIRED COMPONENTS Core DBus)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Config
    Crash
    DBusAddons
    I18n
    IdleTime
    ItemModels
    GlobalAccel
    KIO
    Kirigami2
    KCMUtils
    Notifications
    Runner
    Solid
    WindowSystem
    XmlGui
)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KF6Screen CONFIG REQUIRED)
find_package(LibKWorkspace ${PROJECT_DEP_VERSION} REQUIRED)

find_package(UDev REQUIRED)

find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)

find_package(KF6DocTools ${KF6_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(Libcap)
set_package_properties(Libcap PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Needed for scheduled wakeup which can wake from suspend (CAP_WAKE_ALARM)"
)
set(HAVE_LIBCAP ${Libcap_FOUND})

find_package(DDCUtil)
if(DDCUtil_FOUND)
    add_definitions(-DWITH_DDCUTIL)
    set_package_properties(DDCUtil
        PROPERTIES DESCRIPTION "DDCUtil library support"
        TYPE OPTIONAL
        PURPOSE "Set monitor settings over DDC/CI channel"
    )
endif()

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(PlasmaWaylandProtocols 1.16 REQUIRED)
find_package(Wayland REQUIRED COMPONENTS Client)

include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/daemon
)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX POWERDEVIL
                  VERSION_HEADER "${CMAKE_BINARY_DIR}/powerdevil_version.h"
)
ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.9.0
)

add_subdirectory(applets)
add_subdirectory(daemon)
add_subdirectory(kcm)

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

add_subdirectory(runners)

add_subdirectory(autotests)

ecm_qt_install_logging_categories(
        EXPORT POWERDEVIL
        FILE powerdevil.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
install( FILES powerdevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kcm/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_powerdevilprofilesconfig\")

kcmutils_add_qml_kcm(kcm_powerdevilprofilesconfig)

target_sources(kcm_powerdevilprofilesconfig PRIVATE
    PowerKCM.cpp PowerKCM.h
    ExternalServiceSettings.cpp ExternalServiceSettings.h
    PowerButtonActionModel.cpp PowerButtonActionModel.h
    PowerProfileModel.cpp PowerProfileModel.h
    SleepModeModel.cpp SleepModeModel.h
)

target_link_libraries(kcm_powerdevilprofilesconfig
    Qt::DBus
    KF6::AuthCore
    KF6::KCMUtils
    KF6::Kirigami2
    KF6::I18n
    KF6::ItemModels
    KF6::Solid
    powerdevilcore
)

=== applets/brightness/plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-FileCopyrightText: 2024 Natalie Clarius <natalie.clarius@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(brightnesscontrolplugin URI org.kde.plasma.private.brightnesscontrolplugin GENERATE_PLUGIN_SOURCE)
target_sources(brightnesscontrolplugin PRIVATE
    nightlightinhibitor.cpp nightlightinhibitor.h
    nightlightcontrol.cpp nightlightcontrol.h
    screenbrightnesscontrol.cpp screenbrightnesscontrol.h
    screenbrightnessdisplaymodel.cpp screenbrightnessdisplaymodel.h
    keyboardbrightnesscontrol.cpp
    keyboardcolorcontrol.cpp keyboardcolorcontrol.h
)
target_link_libraries(brightnesscontrolplugin PRIVATE
    Qt::Core
    Qt::DBus
    Qt::Qml
    QCoro::Coro
    QCoro::DBus
)

ecm_qt_declare_logging_category(brightnesscontrolplugin
    HEADER "brightnesscontrolplugin_debug.h"
    IDENTIFIER "APPLETS::BRIGHTNESS"
    CATEGORY_NAME org.kde.applets.brightness
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Brightness and Color applet" EXPORT "APPLETS::BRIGHTNESS"
)

ecm_finalize_qml_module(brightnesscontrolplugin)

=== daemon/actions/bundled/CMakeLists.txt ===
function(add_powerdevil_bundled_action _name)
    # Build the plugin
    kcoreaddons_add_plugin(powerdevil_${_name}action SOURCES ${_name}.cpp INSTALL_NAMESPACE "powerdevil/action")
    target_link_libraries(powerdevil_${_name}action
                        powerdevil_log_static
                        powerdevilcore
                        KF6::CoreAddons
                        KF6::I18n
                        ${ARGN})
endfunction(add_powerdevil_bundled_action _name)

function(target_dbus_files _target)
    set(dbus_SRCS)
    qt_add_dbus_adaptor(dbus_SRCS ${ARGN})
    target_sources(${_target} PRIVATE ${dbus_SRCS})
endfunction()

add_powerdevil_bundled_action(brightnesscontrol KF6::GlobalAccel)
target_dbus_files(powerdevil_brightnesscontrolaction
    org.kde.Solid.PowerManagement.Actions.BrightnessControl.xml
    brightnesscontrol.h PowerDevil::BundledActions::BrightnessControl)

add_powerdevil_bundled_action(screenbrightnesscontrol)

add_powerdevil_bundled_action(keyboardbrightnesscontrol)
target_dbus_files(powerdevil_keyboardbrightnesscontrolaction
    org.kde.Solid.PowerManagement.Actions.KeyboardBrightnessControl.xml
    keyboardbrightnesscontrol.h PowerDevil::BundledActions::KeyboardBrightnessControl)

add_powerdevil_bundled_action(dimdisplay)
add_powerdevil_bundled_action(runscript KF6::KIOCore KF6::KIOWidgets)

add_powerdevil_bundled_action(suspendsession KF6::KIOCore KF6::KIOWidgets)
target_dbus_files(powerdevil_suspendsessionaction
    org.kde.Solid.PowerManagement.Actions.SuspendSession.xml
    suspendsession.h PowerDevil::BundledActions::SuspendSession)

add_powerdevil_bundled_action(dpms)
target_link_libraries(powerdevil_dpmsaction KF6::ScreenDpms)

set(handlebuttons_SRCS handlebuttonevents.cpp)
qt_add_dbus_adaptor(handlebuttons_SRCS org.kde.Solid.PowerManagement.Actions.HandleButtonEvents.xml handlebuttonevents.h PowerDevil::BundledActions::HandleButtonEvents)

add_powerdevil_bundled_action(powerprofile)
target_dbus_files(powerdevil_powerprofileaction org.kde.Solid.PowerManagement.Actions.PowerProfile.xml powerprofile.h PowerDevil::BundledActions::PowerProfile)
set(powerprofile_dbus_SRCS)
qt_add_dbus_interface(powerprofile_dbus_SRCS org.freedesktop.DBus.Properties.xml properties_interface)
qt_add_dbus_interface(powerprofile_dbus_SRCS org.freedesktop.UPower.PowerProfiles.xml power_profiles_interface)
target_sources(powerdevil_powerprofileaction PRIVATE ${powerprofile_dbus_SRCS} ${handlebuttons_SRCS})

kcoreaddons_add_plugin(powerdevil_handlebuttoneventsaction SOURCES powerdevilhandlebuttonevents_plugin.cpp ${handlebuttons_SRCS} INSTALL_NAMESPACE "powerdevil/action")
target_link_libraries(powerdevil_handlebuttoneventsaction PRIVATE powerdevilcore)

=== debian/changelog ===
powerdevil (4:6.3.6-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update powerdevil.install according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117368)
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 09:19:44 +0200

powerdevil (4:6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Applets/batterymonitor: don't ask to install PPD when already installed.
    (kde#504889)
    - Daemon: Fix triggering an assert in KConfigGroup.
  * Drop backported patches now part of the upstream release.
  * Refresh patches.
  * Backport upstream commits:
    - Add missing screen locking link from screen power saving section.
    [09ce19dc] (kde#447366)
    - applets/brightness: downgrade severity of KeyboardBrightnessControl
    action unavailable warning since this is expected on most systems.
    [2039c96d] (kde#501461)
    - applets/batterymonitor: only show one battery icon in desktop tray.
    [4d29cd00] (kde#504697)
    - kcm: correct buddyFor relationship for script items fixing recurring
    spurious warnings. [dc057e44] (kde#504668)
    - PowerDevilAction: refresh action timers on inhibition changes to fix
    cases like immediate suspend happening at the end of a video playback.
    [31fcf4c0] (kde#504553)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Jul 2025 14:52:32 +0200

powerdevil (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix list in package description.
  * New upstream release (6.3.5).
    - Daemon: Don't crash if using powerdevil 6.3 with kwin 6.2. (kde#501446)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Backport upstream commits scheduled for 6.3.6:
    - daemon: Fix triggering an assert in KConfigGroup when loading profile
    without an activity.
    - Fix Power Profile incorrectly shown when hardware does not support it.
    (kde#504889)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:43 +0200

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libcap-dev,
               libcap2-bin,
               libddcutil-dev,
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6idletime-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6runner-dev (>= 6.10.0~),
               libkf6solid-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libkscreen-dev (>= 4:6.3.4~),
               liblayershellqtinterface-dev (>= 6.3.4~),
               libplasma-dev (>= 6.3.4~),
               libplasmaactivities-dev (>= 6.3.4~),
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.16~),
               plasma-workspace-dev (>= 4:6.3.4~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: shared library for the KDE power management features in Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the shared library providing the core features
 of PowerDevil.

Package: powerdevil
Architecture: any
Depends: libcap2-bin [linux-any],
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.0-1~), powerdevil-data (<< 4:6.3.2-2~),
Replaces: plasma-workspace (<< 4:6.2.0-1~), powerdevil-data (<< 4:6.3.2-2~),
Recommends: power-profiles-daemon, systemsettings,
Description: KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 The service will:
  - Suspend or shut down sessions under certain conditions such as
    user inactivity, closing the laptop lid or pressing the power
    button.
  - Adjust the brightness level of displays and keyboards, or turn
    display backlights off/on altogether.
  - Change settings according to the current power state (plugged in,
    battery, low battery), which can be customized in System
    Settings.
  - Monitor the current battery charge, and set charge thresholds for
    battery-powered devices that support it.
  - Keep track of system state - e.g. suspend/idle/etc. inhibitors,
    activities, screen locking - to adjust power management behaviors
    accordingly.
  - Communicate with underlying services such as UPower,
    power-profiles-daemon, ddcutil, and/or systemd to implement some
    of the above.
  - Provide a D-Bus interface for other Plasma components such as the
    Power Management applet or the Brightness and Color applet.
 .
 This package contains the daemon started alongside the Plasma
 session.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Multi-Arch: foreign
Description: data files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the data files for PowerDevil.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: no
Description: development files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the development files for PowerDevil.

## powerdevil 6.4.2

=== debian/changelog ===
powerdevil (4:6.4.2-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 21:16:46 +0000

powerdevil (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

powerdevil (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:55:44 +0000

powerdevil (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:32:31 +0000

powerdevil (4:6.3.80-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 18 May 2025 10:09:40 +1000

powerdevil (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:04:14 +0000

powerdevil (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:17:43 +0000

powerdevil (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:14:20 +0000

powerdevil (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:16:05 +0000

powerdevil (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:01:15 +0000

powerdevil (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:35:05 +0000

powerdevil (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:06:43 +0000

powerdevil (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:39:54 +0000

powerdevil (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:19:07 +0000

powerdevil (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:11:22 +0000

powerdevil (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:20:31 +0000

powerdevil (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:28:53 +0000

powerdevil (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:18:02 +0000

powerdevil (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:35:26 +0000

powerdevil (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:11:02 +0000

powerdevil (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:45:42 +0000

powerdevil (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:04:41 +0000

powerdevil (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:23:02 +0000

powerdevil (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:53:39 +0000

powerdevil (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:26:15 +0000

powerdevil (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:15:16 +1000

powerdevil (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:55:08 +0000

powerdevil (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:03:45 +0000

powerdevil (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:11:48 +0000

powerdevil (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:25:12 +0000

powerdevil (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:13:34 +0000

powerdevil (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:37:02 +0000

powerdevil (4:5.27.4.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 15:10:49 +0000

powerdevil (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:34:54 +0000

powerdevil (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:16:59 +0000

powerdevil (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:10:09 +0000

powerdevil (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:38:15 +0000

powerdevil (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:54:23 +0000

powerdevil (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:50:04 +0000

powerdevil (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:48:47 +0000

powerdevil (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:26:39 +0000

powerdevil (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:05:16 +0000

powerdevil (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:46:05 +0000

powerdevil (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:17:45 +0000

powerdevil (4:5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:15:49 +0000

powerdevil (4:5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:21:55 +0000



## powerdevil 6.4.3

=== debian/changelog ===
powerdevil (4:6.4.3-0zneon+24.04+noble+release+build37) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 22:20:19 +0000

powerdevil (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:13:59 +0000

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-bluez-qt-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-krunner-dev,
               kf6-kuserfeedback-dev,
               kf6-networkmanager-qt-dev,
               kf6-solid-dev,
               kwayland-dev,
               libcap-dev,
               libddcutil-dev,
               libkf6screen-dev,
               liblayershellqtinterface-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-wayland-protocols,
               plasma-workspace-dev,
               qcoro-qt6-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
Vcs-Git: https://invent.kde.org/neon/kde/powerdevil.git
Vcs-Browser: https://invent.kde.org/neon/kde/powerdevil
Maintainer: Neon CI <neon@kde.org>

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libpowerdevilcore1
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: libpowerdevilcore1
Architecture: all
Depends: libpowerdevilcore2, ${misc:Depends}
Description: Transitional package.
 This package can be safely removed.

Package: libpowerdevilui6
Architecture: all
Depends: powerdevil, ${misc:Depends}
Replaces: libpowerdevilui5 (<< 4:6.0.0)
Description: Transitional package.
 This package can be safely removed.

Package: libpowerdevilui5
Architecture: all
Depends: libpowerdevilui6, ${misc:Depends}
Description: Transitional package.
 This package can be safely removed.

Package: powerdevil
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.

Package: powerdevil-data
Architecture: all
Depends: ddcutil,
         power-profiles-daemon | tlp,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-mobile (<< 6.3.80), plasma-workspace (<< 4:6.1.0)
Replaces: plasma-mobile (<< 6.3.80), plasma-workspace (<< 4:6.1.0)
Description: Global power saver settings data files.
 Power Devil allows you to define your all power settings.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends}
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6 

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_CXX_STANDARD=20

## powerdevil 6.4.4

=== debian/changelog ===
powerdevil (4:6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:16 +0200

powerdevil (4:6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 21:32:34 +0200

powerdevil (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Bump plasma-wayland-protocols build dep to 1.18.0

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:03 +0100

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libcap-dev,
               libcap2-bin,
               libddcutil-dev,
               libkf6auth-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6idletime-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6runner-dev (>= 6.14.0~),
               libkf6solid-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libkscreen-dev (>= 4:6.4.4~),
               liblayershellqtinterface-dev (>= 6.4.4~),
               libplasma-dev (>= 6.4.4~),
               libplasmaactivities-dev (>= 6.4.4~),
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.18.0~),
               plasma-workspace-dev (>= 4:6.4.4~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Rules-Requires-Root: no

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: shared library for the KDE power management features in Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the shared library providing the core features
 of PowerDevil.

Package: powerdevil
Architecture: any
Depends: libcap2-bin [linux-any],
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: power-profiles-daemon, systemsettings,
Breaks: plasma-workspace (<< 4:6.2.0~),
Replaces: plasma-workspace (<< 4:6.2.0~),
Description: KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 The service will:
 .
 - Suspend or shut down sessions under certain conditions such as
 user inactivity, closing the laptop lid or pressing the power button.
 .
 - Adjust the brightness level of displays and keyboards, or turn
 display backlights off/on altogether.
 .
 - Change settings according to the current power state (plugged in,
 battery, low battery), which can be customized in System Settings.
 .
 - Monitor the current battery charge, and set charge thresholds for
 battery-powered devices that support it.
 .
 - Keep track of system state - e.g. suspend/idle/etc. inhibitors,
 activities, screen locking - to adjust power management behaviors
 accordingly.
 .
 - Communicate with underlying services such as UPower,
 power-profiles-daemon, ddcutil, and/or systemd to implement some of
 the above.
 .
 - Provide a D-Bus interface for other Plasma components such as the
 Power Management applet or the Brightness and Color applet.
 .
 This package contains the daemon started alongside the Plasma
 session.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Multi-Arch: foreign
Description: data files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the data files for PowerDevil.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: no
Description: development files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the development files for PowerDevil.

## powerdevil 6.4.5

=== autotests/migrateconfig/CMakeLists.txt ===
add_executable(migrateconfig migrateconfig.cpp)
target_link_libraries(migrateconfig powerdevilcore)
ecm_mark_as_test(migrateconfig)

function(add_migrateconfig_test)
    set(options MOBILE VM CANNOT_SUSPEND ASSERT_NO_POWERDEVILRC_AFTER_MIGRATION)
    set(oneValueArgs NAME INPUT_POWERDEVILRC INPUT_PROFILESRC EXPECTED_POWERDEVILRC EXPECTED_PROFILESRC)
    cmake_parse_arguments(ARG "${options}" "${oneValueArgs}" "" ${ARGN})

    set(migrateconfig_args "")
    set(diff_cmds "")

    if (ARG_INPUT_POWERDEVILRC)
        set(migrateconfig_args "${migrateconfig_args} --src-powerdevilrc \"${CMAKE_CURRENT_SOURCE_DIR}/${ARG_INPUT_POWERDEVILRC}\"")
    endif()
    if (ARG_INPUT_PROFILESRC)
        set(migrateconfig_args "${migrateconfig_args} --src-profilesrc \"${CMAKE_CURRENT_SOURCE_DIR}/${ARG_INPUT_PROFILESRC}\"")
    endif()

    if (ARG_ASSERT_NO_POWERDEVILRC_AFTER_MIGRATION)
        set(migrateconfig_args "${migrateconfig_args} --assert-no-powerdevilrc-after-migration")
    endif()
    if (ARG_EXPECTED_POWERDEVILRC)
        set(out_powerdevilrc "${CMAKE_CURRENT_BINARY_DIR}/${ARG_EXPECTED_POWERDEVILRC}")
        set(migrateconfig_args "${migrateconfig_args} --dest-powerdevilrc \"${out_powerdevilrc}\"")
        set(expected_powerdevilrc "${CMAKE_CURRENT_SOURCE_DIR}/${ARG_EXPECTED_POWERDEVILRC}")
        set(diff_cmds "${diff_cmds} && echo \"powerdevilrc diff (should be empty):\"")
        set(diff_cmds "${diff_cmds} && diff -u \"${expected_powerdevilrc}\" \"${out_powerdevilrc}\"")
    endif()
    if (ARG_EXPECTED_PROFILESRC)
        set(out_profilesrc "${CMAKE_CURRENT_BINARY_DIR}/${ARG_EXPECTED_PROFILESRC}")
        set(migrateconfig_args "${migrateconfig_args} --dest-profilesrc \"${out_profilesrc}\"")
        set(expected_profilesrc "${CMAKE_CURRENT_SOURCE_DIR}/${ARG_EXPECTED_PROFILESRC}")
        set(diff_cmds "${diff_cmds} && echo \"powermanagementprofilesrc diff (should be empty):\"")
        set(diff_cmds "${diff_cmds} && diff -u \"${expected_profilesrc}\" \"${out_profilesrc}\"")
    endif()

    if (ARG_MOBILE)
        set(migrateconfig_args "${helper_args} --mobile")
    endif()
    if (ARG_VM)
        set(migrateconfig_args "${helper_args} --vm")
    endif()
    if (ARG_CANNOT_SUSPEND)
        set(migrateconfig_args "${helper_args} --cannot-suspend")
    endif()

    add_test(
        NAME ${ARG_NAME}
        COMMAND bash -c "$<TARGET_FILE:migrateconfig> ${migrateconfig_args} ${diff_cmds}"
    )
endfunction()

add_migrateconfig_test(
    NAME migrateconfig_test1_default_configs_can_suspend_to_ram
    INPUT_PROFILESRC test1_initial_powermanagementprofilesrc  # as generated by Plasma 5 profile generator
    EXPECTED_PROFILESRC test1_migrated_powermanagementprofilesrc  # same, except with profiles-migrated flag
    ASSERT_NO_POWERDEVILRC_AFTER_MIGRATION
)

add_migrateconfig_test(
    NAME migrateconfig_test2_activities
    INPUT_POWERDEVILRC test2_initial_powerdevilrc
    INPUT_PROFILESRC test2_initial_powermanagementprofilesrc  # with some extra activity settings
    EXPECTED_POWERDEVILRC test2_migrated_powerdevilrc
    EXPECTED_PROFILESRC test2_migrated_powermanagementprofilesrc
)

add_migrateconfig_test(
    NAME migrateconfig_test2a_activities_no_double_migration
    INPUT_POWERDEVILRC test2_migrated_powerdevilrc
    INPUT_PROFILESRC test2_migrated_powermanagementprofilesrc
    EXPECTED_POWERDEVILRC test2_migrated_powerdevilrc
    EXPECTED_PROFILESRC test2_migrated_powermanagementprofilesrc
)

add_migrateconfig_test(
    NAME migrateconfig_test3_profiles
    INPUT_PROFILESRC test3_initial_powermanagementprofilesrc  # with varied non-default profile settings
    EXPECTED_POWERDEVILRC test3_migrated_powerdevilrc
    EXPECTED_PROFILESRC test3_migrated_powermanagementprofilesrc
)

add_migrateconfig_test(
    NAME migrateconfig_test4_profiles_more
    INPUT_PROFILESRC test4_initial_powermanagementprofilesrc  # with selected non-default profile settings
    EXPECTED_POWERDEVILRC test4_migrated_powerdevilrc
)

=== applets/brightness/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 ecm_add_qml_module(brightnesscontrolplugin URI org.kde.plasma.private.brightnesscontrolplugin GENERATE_PLUGIN_SOURCE)
 target_sources(brightnesscontrolplugin PRIVATE
     nightlightinhibitor.cpp nightlightinhibitor.h
-    nightlightcontrol.cpp nightlightcontrol.h
     screenbrightnesscontrol.cpp screenbrightnesscontrol.h
     screenbrightnessdisplaymodel.cpp screenbrightnessdisplaymodel.h
     keyboardbrightnesscontrol.cpp

=== debian/changelog ===
powerdevil (4:6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 10:19:41 +0100

powerdevil (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:39 +0100

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
                libkf6windowsystem-dev (>= 6.14.0~),
                libkf6xmlgui-dev (>= 6.14.0~),
                libkirigami-dev (>= 6.14.0~),
-               libkscreen-dev (>= 4:6.4.4~),
-               liblayershellqtinterface-dev (>= 6.4.4~),
-               libplasma-dev (>= 6.4.4~),
-               libplasmaactivities-dev (>= 6.4.4~),
+               libkscreen-dev (>= 4:6.4.5~),
+               liblayershellqtinterface-dev (>= 6.4.5~),
+               libplasma-dev (>= 6.4.5~),
+               libplasmaactivities-dev (>= 6.4.5~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -46,7 +46,7 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.18.0~),
-               plasma-workspace-dev (>= 4:6.4.4~),
+               plasma-workspace-dev (>= 4:6.4.5~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.8.0~),
 Standards-Version: 4.7.0

## powerdevil 6.4.5+p24.04+vstable+git20250928.1344

=== debian/changelog ===
powerdevil (4:6.4.5+p24.04+vstable+git20250928.1344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:44:37 +0000

powerdevil (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:41:27 +0000

powerdevil (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:25:17 +0000

## powerdevil 6.4.5+p24.04+vstable+git20251004.0514

=== debian/changelog ===
powerdevil (4:6.4.5+p24.04+vstable+git20251004.0514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:14:26 +0000

## powerdevil 6.4.91

=== debian/changelog ===
powerdevil (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Update the list of installed files.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:23:02 +0200

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev,
               libcap2-bin,
               libddcutil-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libkscreen-dev (>= 4:6.4.91~),
               liblayershellqtinterface-dev (>= 6.4.91~),
               libplasma-dev (>= 6.4.91~),
               libplasmaactivities-dev (>= 6.4.91~),
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.19~),
               plasma-workspace-dev (>= 4:6.4.91~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git
Rules-Requires-Root: no

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: shared library for the KDE power management features in Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the shared library providing the core features
 of PowerDevil.

Package: powerdevil
Architecture: any
Depends: libcap2-bin [linux-any],
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.0-1~),
        powerdevil-data (<< 4:6.3.2-2~),
Replaces: plasma-workspace (<< 4:6.2.0-1~),
          powerdevil-data (<< 4:6.3.2-2~),
Recommends: power-profiles-daemon,
            systemsettings,
Description: KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 The service will:
  - Suspend or shut down sessions under certain conditions such as
    user inactivity, closing the laptop lid or pressing the power
    button.
  - Adjust the brightness level of displays and keyboards, or turn
    display backlights off/on altogether.
  - Change settings according to the current power state (plugged in,
    battery, low battery), which can be customized in System
    Settings.
  - Monitor the current battery charge, and set charge thresholds for
    battery-powered devices that support it.
  - Keep track of system state - e.g. suspend/idle/etc. inhibitors,
    activities, screen locking - to adjust power management behaviors
    accordingly.
  - Communicate with underlying services such as UPower,
    power-profiles-daemon, ddcutil, and/or systemd to implement some
    of the above.
  - Provide a D-Bus interface for other Plasma components such as the
    Power Management applet or the Brightness and Color applet.
 .
 This package contains the daemon started alongside the Plasma
 session.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Multi-Arch: foreign
Description: data files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the data files for PowerDevil.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: no
Description: development files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the development files for PowerDevil.

## powerdevil 6.5.0

=== runners/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause
add_subdirectory(powerdevil)

=== applets/brightness/CMakeLists.txt ===
add_subdirectory(plugin)

ecm_qt_install_logging_categories(
    EXPORT APPLETS::BRIGHTNESS
    FILE applets/brightness.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

plasma_add_applet(org.kde.plasma.brightness
    QML_SOURCES
        BrightnessItem.qml
        CompactRepresentation.qml
        KeyboardColorItem.qml
        main.qml
        NightLightItem.qml
        PopupDialog.qml
    GENERATE_APPLET_CLASS
)

=== debian/changelog ===
powerdevil (4:6.5.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 4:6.3.6-2.

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:15 +0200

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
                libkirigami-dev (>= 6.18.0~),
                libkscreen-dev (>= 4:6.4.91~),
                liblayershellqtinterface-dev (>= 6.4.91~),
-               libplasma-dev (>= 6.4.91~),
-               libplasmaactivities-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
+               libplasmaactivities-dev (>= 6.5.0~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -45,7 +45,7 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.19~),
-               plasma-workspace-dev (>= 4:6.4.91~),
+               plasma-workspace-dev (>= 4:6.5.0~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,
@@ -53,7 +53,6 @@
 Homepage: https://invent.kde.org/plasma/powerdevil
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git
-Rules-Requires-Root: no
 
 Package: libpowerdevilcore2
 Section: libs

## powerdevil 6.5.0+p24.04+vstable+git20251026.0202

=== debian/changelog ===
powerdevil (4:6.5.0+p24.04+vstable+git20251026.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 26 Oct 2025 02:02:08 +0000

powerdevil (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:36:46 +0000
